# We want to use the same base image, the python:3 base image
FROM python:3
# We set an environment variable so that Python prints things immediately
ENV PYTHONUNBUFFERED 1
# We set the working directory to /app
WORKDIR /app
# We copy over requirements.txt so that we can install from it
COPY requirements.txt requirements.txt
# We install the dependencies using pip
RUN pip install -r requirements.txt
# We run the Django development server
CMD ["python", "manage.py", "runserver", "0.0.0.0:8000"]